import { ZubyPlugin } from 'zuby/types.js';
export declare const TAILWIND_CONFIG_FILE = "tailwind.config.js";
export interface TailwindPluginOptions {
    /**
     * Relative path to config file for Tailwind CSS.
     * @default 'tailwind.config.mjs' or 'tailwind.config.ts'
     */
    configFile?: string;
    /**
     * Set to true to enable support
     * for nested declarations using tailwindcss/nesting plugin.
     * @default false
     */
    nesting?: boolean;
}
/**
 * Zuby.js plugin that integrates Tailwind CSS
 * with your application.
 * @param options
 * @returns ZubyPlugin
 */
declare const _default: ({ configFile, nesting }?: TailwindPluginOptions) => ZubyPlugin;
export default _default;
export declare function createTailwindConfig(srcDir: string): string;
export declare function findTailwindConfig(srcDir: string): string | undefined;
